Forum Stats

  • 3,853,877 Users
  • 2,264,288 Discussions
  • 7,905,491 Comments

Discussions

パッチセットにDB本体が含まれるかどうかについて

992653
992653 Member Posts: 2
edited Feb 21, 2013 11:26PM in インストール
パッチセットについて、わからないことがあります。

たとえば、windowsサーバの10.2.0.3ですと、パッチセットにDBが含まれており、
いきなりパッチセットからインストールしてもDB本体が入りますが、
10.2.0.5は先にDBをインストールしないと適用できない
といったことがあると思います。

これは、OSや、パッチセットのバージョンによって変わってくるようなのですが、
パッチセットに、DB本体が含まれているかどうかというのは調べる方法はあるのでしょうか。

それとも、そもそもどのような場合でも、パッチセットからインストールするのは駄目で
DBを先にインストールして、パッチセットを適用するという手順を踏むのが正しいのでしょうか。

ご教授いただければと思います。

Answers

  • tmtsmic
    tmtsmic Member Posts: 120
    edited Feb 21, 2013 10:46PM
  • asahide
    asahide Expert Technical Engineer Member Posts: 1,240 Silver Trophy
    パッチセットについてはこちらからたどれる情報がまとまっていると思います。
    一部はサポート契約がないとみられないと思います。
    <<https://blogs.oracle.com/supportjp/entry/11_2_0_3_0>>
    これは、OSや、パッチセットのバージョンによって変わってくるようなのですが、
    パッチセットに、DB本体が含まれているかどうかというのは調べる方法はあるのでしょうか。

    それとも、そもそもどのような場合でも、パッチセットからインストールするのは駄目で
    DBを先にインストールして、パッチセットを適用するという手順を踏むのが正しいのでしょうか。
    11gR2からは新規にソフトウェアをインストールしてアップグレードが実行できます。

    ‐ out-of-placeアップグレード
    +11g R2から提供されている新しいアップグレード方式です。既存のソフトウェア(バイナリ・ファイル) を残したまま、新規にソフトウェアをインストールしてアップグレードを実行します。+
    <<http://www.oracle.com/technetwork/jp/database/oraclerestart-upgrade-guide-1504200-ja.pdf>>
  • Blueloco
    Blueloco Member Posts: 118
    たとえば、windowsサーバの10.2.0.3ですと、パッチセットにDBが含まれており、
    新しいOSだと、10.2.0.3以降で対応、等となっていてもベースリリース(10gR2の場合は10.2.0.1)のインストーラが新しいOSに対応していなくてインストールできないなどといったことがあります。
    そのため、新しいOS向けに最初から10.2.0.3がインストールされるようなメディアが作られる場合があります。
    つまりはパッチセットというよりは新しいOS用のベースリリースである、と捉えた方がよいものかと。

    11gR2以外はベースリリースより後のPSRの適用にはベースリリースのインストールが予め必要なことは変わりありません。
This discussion has been closed.